resources: {}
#  limits:
#    cpu: 200m
#    memory: 128Mi
#  requests:
#    cpu: 100m
#    memory: 128Mi

# Extra volumes to be added in addition to those specified under `defaultVolumes`.
extraVolumes:
  - name: journal
    hostPath:
      path: /var/log/journal
  - name: machine-id
    hostPath:
      path: /etc/machine-id

# Extra volume mounts together. Corresponds to `extraVolumes`.
extraVolumeMounts:
  - name: journal
    mountPath: /var/log/journal
    readOnly: true
  - name: machine-id
    mountPath: /etc/machine-id
    readOnly: true


config:
  clients:
    - url: http://loki-write:3100/loki/api/v1/push

  snippets:
    extraScrapeConfigs: |
      - job_name: journal
        journal:
          max_age: 12h
          labels:
            job: systemd-journal
          path: /var/log/journal
        relabel_configs:
          - source_labels: ['__journal__systemd_unit']
            target_label: 'unit'
          - source_labels: ['__journal__hostname']
            target_label: 'host'
            
